package com.realnet.basic1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.*;
import com.realnet.fnd.response.EntityResponse;
import org.springframework.http.*;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basic1.Entity.Testlist;
import com.realnet.basic1.Services.TestlistService ;






@RequestMapping(value = "/token/Testlist")
 @CrossOrigin("*") 
@RestController
public class tokenFree_TestlistController {
	@Autowired
	private TestlistService Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Testlist")
		  public Testlist Savedata(@RequestBody Testlist data) {
		Testlist save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Testlist/{id}")
	public  Testlist update(@RequestBody Testlist data,@PathVariable Integer id ) {
		Testlist update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Testlist/getall/page")
	public Page<Testlist> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Testlist> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Testlist")
	public List<Testlist> getdetails() {
		 List<Testlist> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Testlist")
	public List<Testlist> getallwioutsec() {
		 List<Testlist> get = Service.getdetails();		
		return get;
}
@GetMapping("/Testlist/{id}")
	public  Testlist  getdetailsbyId(@PathVariable Integer id ) {
		Testlist  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Testlist/{id}")
	public  ResponseEntity<?> delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
			return new ResponseEntity<>(new EntityResponse("Deleted"), HttpStatus.OK);
	
	}







}